@import "../../../sass/_imports.scss";


.edit-panel-content {
    min-height:500px;
    overflow:hidden;
}
.edit-panel-explanation {text-align:center; padding:20px 0;}

.left-side {display:inline-block; width:400px;}
.right-side {display:inline-block;}

.buttons {
    padding-top: 1.0em;
    text-align: left;

    @media only screen and (min-width: $screen-sm-min) {
        text-align: right;
    }
}

.screen-xs-hidden-on-crop {
    @media only screen and (min-width: $screen-sm-min) {
        display: none
    }
}

.screen-xs-overflow {
    @media only screen and (max-width: $screen-xs-max) {
        overflow: hidden;
    }
}

.portrait-upload-box {
    //position:relative;
    //width:400px;
    //height:300px;
    //margin:0 auto;
    border:1px solid darken($hd-blue,15%);
    background-color: lighten($hd-blue, 25%);
    box-shadow:inset 0px 0px 4px rgba(0,0,0,0.15);

    @media only screen and (orientation: landscape) and (max-width: $screen-xs-max) {
        height: 10em;
        margin: 0 20%;
    }

    @media only screen and (orientation: portrait) and (max-width: $screen-xs-max) {
        height: 10.0em;
        width: 100%;
    }

    @media only screen and (min-width: $screen-sm-min) {
        height: 15.0em;
    }

    .droppable {
        @media only screen and (max-width: $screen-xs-max) {
            display: none;
        }
    }

    //when a picture is held over the dropzone
    &.nv-file-over {
        background-color:lighten($hd-blue-lt1, 15%);
    }

    .portrait-upload-input {
        position:relative;
        top:50%;
        transform:translateY(-50%);
        margin:0 auto;
        text-align:center;

        h3 {
            font-size:18px;
            margin-bottom:8px;
            font-weight:bold;
        }

        label {
            cursor:pointer;
            display:inline-block;
            font-weight:normal;
            color:#FFF;
            background-color:$hd-blue-dk1;
            margin-top:8px;
            box-shadow:1px 1px rgba(0,0,0,15);
            padding:4px 8px;
            @include transition(background-color, 200ms);

            &:hover {
                background-color:lighten($hd-blue-dk1, 15%);
            }
            input[type="file"] {
                display:none;
                height:0px;
                width:0px;
                overflow:hidden;

            }
        }
    }
}

//element that appears when the user has uploaded an image and is editing it
.portrait-adjust-box {
    text-align:center;
    @include transition(height, 300ms ease-in-out);

    .img-cropper,
    .portrait-preview {
        display:inline-block;
        vertical-align:top;
    }

    .img-cropper {
        //width:400px;
        height: 5px;
        width: 5px;
    }

}

.portrait-preview {
     //starts at 0px width
    @include transition(all, 300ms, ease-out);
    text-align:center;
    overflow:hidden;
    margin:0 auto;
    padding-top: 3.0em;
    transform-origin: 50% 50%;

    img {
        border:1px solid black;
        box-shadow:1px 1px 1px rgba(0,0,0,0.2);
        margin-bottom:10px;
    }

    h3 {
        font-size:18px;
        font-weight:bold;
        margin-bottom:10px;
    }

    p {margin-bottom: 3px; font-size:14px;}

    // Shouldn't have to do this, col-xs-hidden isn't working?
    @media only screen and (max-width: $screen-xs-max) {
        display: none;
    }
}

.cropper {
     width:400px;
     height:300px;
     background-color: lightgray;
     text-align: center
 }
